[CentOS] Perl Trouble

Dirk H. Schulz dirk.schulz at kinzesberg.de
Sat Nov 8 06:48:24 UTC 2008


I am running several CentOS 5.2 servers with similar configuration.

On all of them I received the following error when using a certain perl 
module:
> Base class package "Class::Accessor::Fast" is empty.
>     (Perhaps you need to 'use' the module which defines that package
> first.)

On most of the servers installing Class::Accessor::Fast manually via CPAN 
shell has resolved the problem, but there is two of them where this did not 
help.
I know that during setup of these hosts I used yum and cpan shell both to 
install perl modules; I guess that was wrong to do.

Now even an "install Bundle::CPAN" in cpan shell does not solve the 
problem. How can I find out what exactly goes wrong there? Googling for the 
error message does not show up anything helpful.

Dirk


More information about the CentOS mailing list